For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
          • Authentication
          • Catalog
          • Company
          • Orders
          • Request for Quote
          • Sales Rep
              • GETGet Super Admin's Assigned Companies
              • GETGet Super Admin's Current Masquerading Company
              • PUTBegin Super Admin Masquerade
              • PUTEnd Super Admin Masquerade
          • Shopping List
          • Store Settings
      • Management
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BStorefrontSales RepSuper Admin

End Super Admin Masquerade

PUT
https://api-b2b.bigcommerce.com/api/v2/sales-reps/:superAdminId/companies/:companyId/end-masq
PUT
/api/v2/sales-reps/:superAdminId/companies/:companyId/end-masq
$curl -X PUT https://api-b2b.bigcommerce.com/api/v2/sales-reps/1/companies/123456/end-masq \
> -H "Authorization: Bearer <token>"
200Updated
1{
2 "code": 200,
3 "message": "SUCCESS",
4 "data": {}
5}
Updates the status of the Super Admin associated with `superAdminId`, ending their masquerade as the Company associated with `companyId`. Equivalent Storefront GraphQL API Mutation: `superAdminEndMasquerade`. For more information, see the [GraphQL Playground](https://api-b2b.bigcommerce.com/graphql/playground).
Was this page helpful?
Previous

Begin Super Admin Masquerade

Next

Shopping List

Built with

Updates the status of the Super Admin associated with superAdminId, ending their masquerade as the Company associated with companyId.

Equivalent Storefront GraphQL API Mutation: superAdminEndMasquerade. For more information, see the GraphQL Playground.

Authentication

AuthorizationBearer

Authentication header

HeaderArgumentDescription
AuthorizationBearer {{B2B_JWT_TOKEN}}You can obtain this token using the steps described in the REST Storefront API section[…]

Path parameters

superAdminIdintegerRequired

The unique numeric ID assigned to the Super Admin by B2B Edition. This ID does not match the BigCommerce customer account ID. To find the ID of a given Super Admin account, use the Server-to-Server Super Admin API.

companyIdintegerRequired

The unique numeric ID for a Company to which the Super Admin is assigned. To find a Company ID, use the Server-to-Server B2B Company API. For stores using Dependent Company behavior, this does not match the ID found in B2B Edition.

Response

OK
codeintegerDefaults to 200
The HTTP Status code of the response.
messagestringDefaults to SUCCESS
Response message.
dataobject